# Skrill::Payment

Skrill::Payment is a Ruby library that uses Skrills (formerly Moneybookers) Automated Payments Interface to perform payments.

## Usage

#### Configure

``` ruby
Skrill::Payment.configure do |config|
  config.merchant_email    = 'your_email'
  config.merchant_password = 'your_api_password'
  config.subject           = 'Payment'
  config.note              = 'Your monthly payment'
  config.currency          = 'USD'
  config.http_proxy        = 'http://user:pass@hostname:port'
end
```

#### Make A Payment

``` ruby
payment = Skrill::Payment.new do |payee|
  payee.email  = 'customer@example.com'
  payee.amount = 10.00

  # optional
  payee.identifier = 123
end

request = payment.deliver

request.successful?
# => true/false

request.error_message
# => Error message/nil

request.status_id
# => transaction status id in Skrill (1 = transaction scheduled, 2 = transaction processed)

request.status_message
# => transaction status message in Skrill

request.transation_id
# => transaction id
```